/*

The Life of a Geek
Copyright (C) 2003 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at coredump@coredumpcentral.org

main.cc - Main program.

4/7/03: Daniel Quintiliani <coredump@coredumpcentral.org>:
gpl_check_and_strlwr() put in, now you can enter name of geek,
to be more considerate replaced all bools with ints, added
object of game into game.
 
*/

#include <iostream>
#include <string>
#include "func.h"
#include "display.h"
#include "version.h"

using namespace std;

int main()
{
	string s = "show w", s2 = "show w";
	Computer comp;
	Geek geek;

	cout << endl;

	cout << "The Life of a Geek version " << LIFEGEEK_VERSION << ", Copyright (C) 2003 Daniel Quintiliani" << endl;
	cout << "The Life of a Geek comes with ABSOLUTELY NO WARRANTY; for details type `show w'." << endl;
	cout << "This is free software, and you are welcome to redistribute it" << endl;
	cout << "under certain conditions; type `show c' for details." << endl;
	cout << endl;

	while(s2 == "show w" || s2 == "show c" )
	{
		cout << "What do you want your geek name to be? ";
		getline(cin, s2);
		string geekname;
		geekname = s2.c_str();
		gpl_check_and_strlwr(s2);
		if(geekname=="")
			geek.SetName("Geek");
		else
			geek.SetName(geekname);
		cout << endl;
	}
		
	while(s[0] != 'i')
	{
		ShowMenu();

		while(s == "show w" || s == "show c" )
		{
			cout << "\nEnter command ->";
			getline(cin, s);
			gpl_check_and_strlwr(s);
			cout << endl;
		}
			
		if(s[0] == 'a')	
			ShowStats(geek, comp);
		else if(s[0] == 'b')
			SpeedClass(geek, comp);
		else if(s[0] == 'c')	
			Work(geek, comp);
		else if(s[0] == 'd')	
			Caff(geek);
		else if(s[0] == 'e')	
			Hack(geek, comp);
		else if(s[0] == 'f')	
			AntiVirus(geek, comp);
		else if(s[0] == 'g')	
			WasteTime(geek);
		else if(s[0] == 'h')	
			Sleep(geek, comp);
		else if(s[0] == 'i')	
			cout << "\nNot written yet." << endl;
		
		if(s[0] != 'i')
		{
			if( comp.GetHealth() < comp.GetMaxHealth() )
				comp.SetHealth(comp.GetHealth() + 1);
			
			if( comp.GetInfected() == 0)
			{
				int n2 = rand() % 5 + 1;
				comp.SetHealth(comp.GetHealth() - n2);
				cout << "Your computer lost " << n2;
				cout << " health points from the virus. Please repair!";
				cout << endl;
			}
			
			if( comp.GetHealth() <= 0 )
			{
				cout << "\n\nYOU FAILED!" << endl;
				cout << "\nYour computer broke before you" << endl;
				cout << "finished college. Try again!" << endl;
				return 0;
			}
		
			if(comp.GetHealth() == comp.GetMaxHealth() && comp.GetInfected() != 0 && geek.GetEducation() >= 40 )
			{
				cout << "\n\nYOU WON!" << endl;
				cout << "\nYou made it out of college with your computer" << endl;
				cout << "in perfect shape. You get a computer-related" << endl;
				cout << "job and retire in your old age. Good job!" << endl;
				return 0;
			}
			
			s = "show w";
		
		}		
	}
	
	return 0;
}
