/*

The Life of a Geek
Copyright (C) 2003 Daniel Quintiliani

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

You can e-mail Daniel Quintiliani at coredump@coredumpcentral.org

commands.cc: The commands the menus call.

4/7/03: Daniel Quintiliani <coredump@coredumpcentral.org>: To be more
considerate, replaced all bools with ints.

*/

#include <iostream>
#include <stdlib.h>
#include <time.h>
#include "func.h"

using namespace std;

void CmdWasteTime(Geek &geek)
{
	srand((unsigned)time(NULL));
	int n = rand() % 8 + 1;

	switch(n)
	{
		case 1:
		{
			cout << "\nYou take a break and surf the Web." << endl;
			break;
		}
		case 2:
		{
			cout << "\nYou take a break to view your pr0n collection." << endl;
			break;
		}
		case 3:
		{
			cout << "\nYou take a break to download MP3z." << endl;
			break;
		}
		case 4:
		{
			cout << "\nYou play a game of " << FuncGenGameName() << "." << endl;
			break;
		}
		case 5:
		{
			cout << "\nYou take a break to download moviez." << endl;
			break;
		}
		case 6:
		{
			cout << "\nYou play with your " << FuncGenEmu() << " emulator." << endl;
			break;
		}
		case 7:
		{
			cout << "\nYou read your e-mail and newsgroup messages." << endl;
			break;
		}
		case 8:
		{
			cout << "You take a break to download WaReZ." << endl;
			break;
		}
	}

	geek.SetEnergy(geek.GetEnergy() - 10);

}

void CmdSpeedClass(Geek &geek, Computer &comp)
{
	geek.SetMoney(geek.GetMoney() - 1500);
	geek.SetEducation(geek.GetEducation() + 1);	
	FuncGenAttack(comp, 20);
}

void CmdWork(Geek &geek, Computer &comp)
{
	srand((unsigned)time(NULL));
	int n = rand() % 5 + 1;

	cout << "\nGeek Job Finder Service sets you up as ";

	switch(n)
	{
		case 1:
			cout << "a fast-food worker." << endl;
			break;
		case 2:
			cout << "a grocery-store worker." << endl;
			break;
		case 3:
			cout << "a gas-station worker." << endl;
			break;
		case 4:
			cout << "a postal worker." << endl;
			break;
		case 5:
			cout << "a department-store worker." << endl;
			break;
	}

	float Profit = (float)(rand() % 400 + 100);

	geek.SetMoney(geek.GetMoney() + Profit);
	cout << "You earned $" << Profit << "." << endl;

	FuncGenAttack(comp, 40);
}

void CmdBuyEnergyDrink(Geek &geek, int n)
{
	geek.SetMoney(geek.GetMoney() - 10);
	geek.SetEnergyDrinks(geek.GetEnergyDrinks() + n);
}

void CmdDrinkEnergyDrink(Geek &geek)
{
	geek.SetEnergyDrinks(geek.GetEnergyDrinks() - 1);
	geek.SetEnergy(geek.GetEnergy() + 25);
}

void CmdHack(Geek &geek, Computer &comp)
{
	// Not written yet.
	cout << "\nNot written yet." << endl;
	// geek.SetEnergy(geek.GetEnergy() - 50);
}

void CmdAntiVirus(Geek &geek, Computer &comp)
{
	geek.SetMoney(geek.GetMoney() - 15.0);
	comp.SetInfected(1);
	comp.SetHealth(comp.GetMaxHealth());
}

void CmdSleep(Geek &geek, Computer &comp)
{
	geek.SetEnergy(geek.GetEnergy() + 50);
	FuncGenAttack(comp, 60);
}
